#include <iostream>
#include<bits/stdc++.h>
using namespace std;

int main()
{
   long n,q,l[1000000],p,a,b,c,m;
   cin>>n>>q;
   for(int i=0;i<n;i++){
       cin>>l[i];
       
   }
   for(int i=0;i<q;i++){
       a=0;
       b=0;
       c=0;
       cin>>p;
       for(int j=0;j<n;j++){
       if(p>l[j]) a++;
       else if(p==l[j]) b++;
       else c++;
      
   }
   m=0;
    if(c>a && c<a+b);
       else if(c<a && c+b>a);
       else if(c>=a+b) m+=1+c-(a+b);
       else if(a>=c+b) m+=a-(c+b);
       else;
       cout<<m<<endl;
   }
   
}